Documentation Index

Fetch the complete documentation index at: https://support.keypro.fi/llms.txt

Use this file to discover all available pages before exploring further.

2025-11-06 14.00 UTC - There are currently no active events. All systems operational.

Delete FaultComponentFaults from all the faults related to a task

Prev Next
Delete
/fault_component_faults/group_delete/{task_id}/

Operation is used to delete FaultComponentFaults from faults related to task.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
task_id
integerRequired

Task id of which faults have the components deleted

Body parameters

List of ids of components used in FaultComponentFaults. FaultComponentFaults with these components will be deleted.

Array of integer
integer
Responses
204

deleted fault component fault data

400

There was an error in request. Usually field validation failed.

{
  "component_ids": [
    "This field is required."
  ]
}
object

Fields which failed validation

property*
Array of string additionalProperties

List of validation errors for this fieldname

string

Validation error

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error